diff -crB FMS_3_5_0_r405/adminserver FMS_3_5_0_r405-ubuntu/adminserver
*** FMS_3_5_0_r405/adminserver	2008-12-16 19:39:40.000000000 -0500
--- FMS_3_5_0_r405-ubuntu/adminserver	2009-01-30 12:40:48.000000000 -0500
***************
*** 1,4 ****
! #!/bin/sh
  #
  # Startup script for the Adobe Flash Media Admin Server (FMAS)
  #
--- 1,4 ----
! #!/bin/bash
  #
  # Startup script for the Adobe Flash Media Admin Server (FMAS)
  #
diff -crB FMS_3_5_0_r405/fmsmgr FMS_3_5_0_r405-ubuntu/fmsmgr
*** FMS_3_5_0_r405/fmsmgr	2008-12-16 19:39:40.000000000 -0500
--- FMS_3_5_0_r405-ubuntu/fmsmgr	2009-01-30 12:40:48.000000000 -0500
***************
*** 1,4 ****
! #!/bin/sh
  #
  # Copyright(C) 1993-2007 Adobe Systems Incorporated.  All rights reserved.
  #
--- 1,4 ----
! #!/bin/bash
  #
  # Copyright(C) 1993-2007 Adobe Systems Incorporated.  All rights reserved.
  #
diff -crB FMS_3_5_0_r405/installFMS FMS_3_5_0_r405-ubuntu/installFMS
*** FMS_3_5_0_r405/installFMS	2008-12-16 19:39:40.000000000 -0500
--- FMS_3_5_0_r405-ubuntu/installFMS	2009-01-30 12:45:41.000000000 -0500
***************
*** 1,4 ****
! #!/bin/sh
  #
  # Copyright(C) 1993-2009 Adobe Systems Incorporated. All rights reserved.
  #
--- 1,4 ----
! #!/bin/bash
  #
  # Copyright(C) 1993-2009 Adobe Systems Incorporated. All rights reserved.
  #
***************
*** 124,131 ****
  			  cd_check "Red Hat Enterprise Linux Server release 5.1" /etc/redhat-release redhat-RHEL5-i686
                          fi
  
!                         # Unknown Red Hat Linux 
!                         cd_result unknown
                          ;;
             esac
             ;;
--- 124,131 ----
  			  cd_check "Red Hat Enterprise Linux Server release 5.1" /etc/redhat-release redhat-RHEL5-i686
                          fi
  
!                         # Assuming Ubuntu because this patch is exclusively for Ubuntu
!                         cd_result ubuntu
                          ;;
             esac
             ;;
***************
*** 226,231 ****
--- 226,234 ----
      redhat-RHEL5-i686)    DISTRO_STRING='redhat-RHEL5-i686'
                      PLATFORM="Linux"
                      ;;
+     ubuntu)		  DISTRO_STRING='ubuntu'
+     		    PLATFORM="Linux"
+     		    ;;
                   *) if [ $WARN -eq 0 ]; then
  		      PLATFORM=`uname -s`
                        warn_unsupported $DISTRO
***************
*** 266,272 ****
    read yn
  
    case $yn in
!     y | Y) break
             ;;
      n | N) exit
             ;;
--- 269,275 ----
    read yn
  
    case $yn in
!     y | Y)
             ;;
      n | N) exit
             ;;
***************
*** 977,983 ****
        OWNER_GROUP="$in"
      fi
    }
!   ask_for_group
  
  
    ##################
--- 980,987 ----
        OWNER_GROUP="$in"
      fi
    }
!   #ask_for_group
!   OWNER_GROUP=fms
  
  
    ##################
***************
*** 1186,1191 ****
--- 1190,1201 ----
  # Perform installation
  #######################
  
+ # create fms user and group
+ /usr/sbin/groupadd $OWNER_GROUP
+ if [ x$PROCESS_OWNER != xroot ]; then
+     /usr/sbin/useradd -c "Adobe Flash Media Server" -g $OWNER_GROUP $PROCESS_OWNER
+ fi
+ 
  # create installation directory
  mkdir -p $INSTALLDIR
  
***************
*** 1338,1349 ****
  chmod -R 755 $INSTALLDIR
  chmod -R 751 $INSTALLDIR/conf
  
  # run as daemon
  if [ $RUN_AS_DAEMON -eq 1 ]; then
    # install rc2.d script
    cp -f $cwd/fms /etc/init.d
    # Linux only
!   /sbin/chkconfig --add fms
    $INSTALLDIR/fmsmgr setAutostart $SERVICE_NAME
  fi
  
--- 1348,1364 ----
  chmod -R 755 $INSTALLDIR
  chmod -R 751 $INSTALLDIR/conf
  
+ chgrp $OWNER_GROUP "$INSTALLDIR/applications"
+ chmod 2775 "$INSTALLDIR/applications"
+ 
+ echo "Applications directory created at $INSTALLDIR/applications. Add users that will install applications to the $OWNER_GROUP group."
+ 
  # run as daemon
  if [ $RUN_AS_DAEMON -eq 1 ]; then
    # install rc2.d script
    cp -f $cwd/fms /etc/init.d
    # Linux only
!   /usr/sbin/update-rc.d fms defaults
    $INSTALLDIR/fmsmgr setAutostart $SERVICE_NAME
  fi

diff -crB FMS_3_5_0_r405/server FMS_3_5_0_r405-ubuntu/server
*** FMS_3_5_0_r405/server	2008-12-16 19:39:40.000000000 -0500
--- FMS_3_5_0_r405-ubuntu/server	2009-01-30 12:40:48.000000000 -0500
***************
*** 1,4 ****
! #!/bin/sh
  #
  # Startup script for the Adobe Flash Media Server (FMS)
  #
--- 1,4 ----
! #!/bin/bash
  #
  # Startup script for the Adobe Flash Media Server (FMS)
  #
diff -crB FMS_3_5_0_r405/uninstallFMS FMS_3_5_0_r405-ubuntu/uninstallFMS
*** FMS_3_5_0_r405/uninstallFMS	2008-12-16 19:39:40.000000000 -0500
--- FMS_3_5_0_r405-ubuntu/uninstallFMS	2009-01-30 12:40:48.000000000 -0500
***************
*** 1,4 ****
! #!/bin/sh
  #
  # Copyright(C) 1993-2009 Adobe Systems Incorporated. All rights reserved.
  #
--- 1,4 ----
! #!/bin/bash
  #
  # Copyright(C) 1993-2009 Adobe Systems Incorporated. All rights reserved.
  #
***************
*** 77,84 ****
    if [ -d "$SERVICES_DIR" ]; then
      NUMSERVICES=`ls "$SERVICES_DIR" | sed -e "/fmsadmin/d" | wc -l`
      if [ $NUMSERVICES -eq 0 ]; then
-       /sbin/chkconfig --del fms
        rm -f /etc/init.d/fms > /dev/null 2>&1
      fi
    fi
  
--- 77,84 ----
    if [ -d "$SERVICES_DIR" ]; then
      NUMSERVICES=`ls "$SERVICES_DIR" | sed -e "/fmsadmin/d" | wc -l`
      if [ $NUMSERVICES -eq 0 ]; then
        rm -f /etc/init.d/fms > /dev/null 2>&1
+       /usr/sbin/update-rc.d fms remove
      fi
    fi
  
